GMaven поддержка generics для stub-generation

 
0
 
Java
ava
LSD | 23.06.2011, 16:01
Использую gmaven-plugin для компиляции Groovy кода, т.к. от Groovy зависит Java код использую таску generateStubs. Проблема в том, что стабы генерируются без генериков, и компиляция Java кода падает. Вроде есть такая бага: Support Java 5 generics for stub-generation
И там написано, что бага пофиксина и совет: Use 1.7 provider, но в упор не могу понять, что это значит. Может кто нибудь пояснить?
Ответы (2)
ava
powerOn | 23.06.2011, 17:51 #
а что если попробовать так:


<plugin>
<groupId>org.codehaus.gmaven</groupId>
<artifactId>gmaven-plugin</artifactId>
<version>1.3</version>
<configuration>
<providerSelection>1.7</providerSelection>
</configuration>
</plugin>

ava
LSD | 24.06.2011, 09:26 #
То что надо! Спасибо!
Зарегистрируйтесь или войдите, чтобы написать.
Фирма дня
Вы также можете добавить свою фирму в каталог IT-фирм, и публиковать статьи, новости, вакансии и другую информацию от имени фирмы.
Подробнее
Участники
ava  LSD   powerOn
advanced
Отправить